atlas-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Rajendra Patil (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (ATLAS-576) Build with Maven 3.0.5 fails
Date Fri, 18 Mar 2016 07:57:33 GMT

     [ https://issues.apache.org/jira/browse/ATLAS-576?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Rajendra Patil updated ATLAS-576:
---------------------------------
    Attachment: ATLAS-576-1.patch

Minor fix to switch to use frontend plugin 0.0.22 to make it work with Maven 3.0.5 (May be
3.0.x)

> Build with Maven 3.0.5 fails
> ----------------------------
>
>                 Key: ATLAS-576
>                 URL: https://issues.apache.org/jira/browse/ATLAS-576
>             Project: Atlas
>          Issue Type: Bug
>    Affects Versions: trunk
>         Environment: Maven 3.0.5 on Mac OS X (10.10.5)
>            Reporter: Rajendra Patil
>            Priority: Trivial
>         Attachments: ATLAS-576-1.patch
>
>
> *Problem*:
> Atlast dashboard, the subproject fails due to maven frontend plugin version 0.0.23 that
needs maven 3.1.0
> ------
> INFO] BUILD FAILURE
> [INFO] ------------------------------------------------------------------------
> [INFO] Total time: 2.598s
> [INFO] Finished at: Fri Mar 18 13:18:03 IST 2016
> [INFO] Final Memory: 14M/309M
> [INFO] ------------------------------------------------------------------------
> [ERROR] Failed to execute goal com.github.eirslett:frontend-maven-plugin:0.0.23:install-node-and-npm
(install node and npm) on project atlas-dashboard: The plugin com.github.eirslett:frontend-maven-plugin:0.0.23
requires Maven version 3.1.0 -> [Help 1]
> ------
> *Solution/Proposal*: frontend plugin  0.0.22 works absolutely fine and I don't think
we have any must have dependency on 0.0.23 or higher at this time. 



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message